/* This is an autogenerated file from sme___fsm_type_gen */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

/* This is an autogenerated file from sme___fsm_type_gen.pl */


#ifndef SME_SIGNALS_XML_TYPES_H
#define SME_SIGNALS_XML_TYPES_H

#ifdef __cplusplus
extern "C" {
#endif

/* STANDARD INCLUDES ********************************************************/

/* ENUM DEFINITIONS ********************************************************/
typedef enum unifi_80211_NetworkType
{
    unifi_80211_DS                           = 0x0000,
    unifi_80211_OFDM24                       = 0x0001,
    unifi_80211_OFDM5                        = 0x0002,
    unifi_80211_Auto                         = 0x0003
} unifi_80211_NetworkType; 

typedef enum unifi_80211_PrivacyMode
{
    unifi_80211_PrivacyDisabled              = 0x0000,
    unifi_80211_PrivacyEnabled               = 0x0001
} unifi_80211_PrivacyMode; 

typedef enum unifi_80211dTrustLevel
{
    unifi_Trust_Strict                       = 0x0001,
    unifi_Trust_Adjunct                      = 0x0002,
    unifi_Trust_BSS                          = 0x0003,
    unifi_Trust_IBSS                         = 0x0004,
    unifi_Trust_MIB                          = 0x0005,
    unifi_Trust_Disabled                     = 0x0006
} unifi_80211dTrustLevel; 

typedef enum unifi_AppValueId
{
    unifi_StationMacAddressValue             = 0x0000,
    unifi_PermanentMacAddressValue           = 0x0001,
    unifi_CalibrationDataValue               = 0x0002,
    unifi_ConnectionConfigValue              = 0x0003,
    unifi_AdHocConfigValue                   = 0x0004,
    unifi_ConnectionInfoValue                = 0x0005,
    unifi_ConnectionStatsValue               = 0x0006,
    unifi_CoexConfigValue                    = 0x0007,
    unifi_CoexInfoValue                      = 0x0008,
    unifi_ScanConfigValue                    = 0x0009,
    unifi_PowerConfigValue                   = 0x000A,
    unifi_VersionsValue                      = 0x000B,
    unifi_SMEConfigValue                     = 0x000C,
    unifi_HostConfigValue                    = 0x000D,
    unifi_MIBConfigValue                     = 0x000E,
    unifi_RoamingConfigValue                 = 0x000F
} unifi_AppValueId; 

typedef enum unifi_AuthMode
{
    unifi_80211_AuthOpen                     = 0x0001,
    unifi_80211_AuthShared                   = 0x0002,
    unifi_8021x_AuthWPA                      = 0x0004,
    unifi_8021x_AuthWPAPSK                   = 0x0008,
    unifi_8021x_AuthWPA2                     = 0x0010,
    unifi_8021x_AuthWPA2PSK                  = 0x0020,
    unifi_8021x_AuthOther1x                  = 0x0040
} unifi_AuthMode; 

typedef enum unifi_BSSType
{
    unifi_Infrastructure                     = 0x0000,
    unifi_Adhoc                              = 0x0001
} unifi_BSSType; 

typedef enum unifi_BasicUsability
{
    unifi_Unusable                           = 0x0000,
    unifi_Poor                               = 0x0001,
    unifi_Satisfactory                       = 0x0002,
    unifi_NotConnected                       = 0x0003
} unifi_BasicUsability; 

typedef enum unifi_CoexDirection
{
    unifi_CoexDirectionDot11Input            = 0x0001,
    unifi_CoexDirectionDot11Output           = 0x0002
} unifi_CoexDirection; 

typedef enum unifi_CoexScheme
{
    unifi_CoexSchemeDisabled                 = 0x0000,
    unifi_CoexSchemeCsr                      = 0x0001,
    unifi_CoexSchemeCsrChannel               = 0x0002,
    unifi_CoexSchemePTA                      = 0x0003
} unifi_CoexScheme; 

typedef enum unifi_ControlIndication
{
    unifi_Control_Error                      = 0x0001,
    unifi_Control_Exit                       = 0x0002
} unifi_ControlIndication; 

typedef enum unifi_D3AutoScanMode
{
    unifi_D3AutoScanMode_Pson                = 0x0000,
    unifi_D3AutoScanMode_Psoff               = 0x0001,
    unifi_D3AutoScanMode_Psauto              = 0x0002
} unifi_D3AutoScanMode; 

typedef enum unifi_EncryptionMode
{
    unifi_EncryptionCipherNone               = 0x0000,
    unifi_EncryptionCipherPairwiseWep40      = 0x0001,
    unifi_EncryptionCipherPairwiseWep104     = 0x0002,
    unifi_EncryptionCipherPairwiseTkip       = 0x0004,
    unifi_EncryptionCipherPairwiseCcmp       = 0x0008,
    unifi_EncryptionCipherGroupWep40         = 0x0010,
    unifi_EncryptionCipherGroupWep104        = 0x0020,
    unifi_EncryptionCipherGroupTkip          = 0x0040,
    unifi_EncryptionCipherGroupCcmp          = 0x0080
} unifi_EncryptionMode; 

typedef enum unifi_HostPowerMode
{
    unifi_HostActive                         = 0x0000,
    unifi_HostPowersave                      = 0x0001,
    unifi_HostFullPowersave                  = 0x0002
} unifi_HostPowerMode; 

typedef enum unifi_IEEE80211_Result
{
    unifi_IEEE80211_Result_Success           = 0x0000,
    unifi_IEEE80211_Result_UnspecifiedFailure = 0x0001,
    unifi_IEEE80211_Result_RefusedCapabilitiesMismatch = 0x000A,
    unifi_IEEE80211_Result_RefusedExternalReason = 0x000C,
    unifi_IEEE80211_Result_RefusedAPOutOfMemory = 0x0011,
    unifi_IEEE80211_Result_RefusedBasicRatesMismatch = 0x0012,
    unifi_IEEE80211_Result_Failure           = 0x0020,
    unifi_IEEE80211_Result_Refused           = 0x0025,
    unifi_IEEE80211_Result_RefusedReasonUnspecified = 0x0025,
    unifi_IEEE80211_Result_InvalidParameters = 0x0026,
    unifi_IEEE80211_Result_RejectedWithSuggestedChanges = 0x0027,
    unifi_IEEE80211_Result_RejectedForDelayPeriod = 0x002F,
    unifi_IEEE80211_Result_NotAllowed        = 0x0030,
    unifi_IEEE80211_Result_NotPresent        = 0x0031,
    unifi_IEEE80211_Result_NotQSTA           = 0x0032,
    unifi_IEEE80211_Result_Timeout           = 0x8000,
    unifi_IEEE80211_Result_TooManySimultaneousRequests = 0x8001,
    unifi_IEEE80211_Result_BSSAlreadyStartedOrJoined = 0x8002,
    unifi_IEEE80211_Result_NotSupported      = 0x8003,
    unifi_IEEE80211_Result_TransmissionFailure = 0x8004,
    unifi_IEEE80211_Result_RefusedNotAuthenticated = 0x8005,
    unifi_IEEE80211_Result_ResetRequiredBeforeStart = 0x8006,
    unifi_IEEE80211_Result_LMInfoUnavailable = 0x8007
} unifi_IEEE80211_Result; 

typedef enum unifi_KeyType
{
    unifi_GroupKey                           = 0x0000,
    unifi_PairwiseKey                        = 0x0001
} unifi_KeyType; 

typedef enum unifi_ListAction
{
    unifi_ListActionGet                      = 0x0000,
    unifi_ListActionAdd                      = 0x0001,
    unifi_ListActionRemove                   = 0x0002,
    unifi_ListActionFlush                    = 0x0003
} unifi_ListAction; 

typedef enum unifi_LowPowerMode
{
    unifi_LowPowerDisabled                   = 0x0000,
    unifi_LowPowerEnabled                    = 0x0001
} unifi_LowPowerMode; 

typedef enum unifi_MediaStatus
{
    unifi_MediaConnected                     = 0x0000,
    unifi_MediaDisconnected                  = 0x0001
} unifi_MediaStatus; 

typedef enum unifi_PacketFilterMode
{
    unifi_PacketFilterModeOptOut             = 0x0000,
    unifi_PacketFilterModeOptIn              = 0x0003
} unifi_PacketFilterMode; 

typedef enum unifi_PortAction
{
    unifi_8021x_PortOpen                     = 0x0000,
    unifi_8021x_PortClosedDiscard            = 0x0001,
    unifi_8021x_PortClosedBlock              = 0x0002
} unifi_PortAction; 

typedef enum unifi_PowerSaveLevel
{
    unifi_PowerSaveLow                       = 0x0000,
    unifi_PowerSaveHigh                      = 0x0001,
    unifi_PowerSaveMed                       = 0x0002,
    unifi_PowerSaveAuto                      = 0x0003
} unifi_PowerSaveLevel; 

typedef enum unifi_QoSControl
{
    unifi_QoSOff                             = 0x0000,
    unifi_QoSWMMOn                           = 0x0001
} unifi_QoSControl; 

typedef enum unifi_QosMode
{
    unifi_80211QosOff                        = 0x0000,
    unifi_80211QosOn                         = 0x0001
} unifi_QosMode; 

typedef enum unifi_RadioIF
{
    unifi_GHZ_2_4                            = 0x0001,
    unifi_GHZ_5_0                            = 0x0002,
    unifi_GHZ_Both                           = 0x0003
} unifi_RadioIF; 

typedef enum unifi_ScanType
{
    unifi_ScanAll                            = 0x0000,
    unifi_ScanActive                         = 0x0001,
    unifi_ScanPassive                        = 0x0002
} unifi_ScanType; 

typedef enum unifi_Status
{
    unifi_Success                            = 0x0000,
    unifi_Error                              = 0x0001,
    unifi_NotFound                           = 0x0002,
    unifi_TimedOut                           = 0x0003,
    unifi_Cancelled                          = 0x0004,
    unifi_InvalidParameter                   = 0x0005,
    unifi_NoRoom                             = 0x0006,
    unifi_Unsupported                        = 0x0007,
    unifi_Unavailable                        = 0x0008,
    unifi_WifiOff                            = 0x0009
} unifi_Status; 

typedef enum unifi_TspecResultCode
{
    unifi_Tspec_Result_Success               = 0x0000,
    unifi_Tspec_Result_UnspecifiedFailure    = 0x0001,
    unifi_Tspec_Result_Failure               = 0x0002,
    unifi_Tspec_Result_RefusedReasonUnspecified = 0x0003,
    unifi_Tspec_Result_Refused               = 0x0004,
    unifi_Tspec_Result_InvalidTspecParameters = 0x0005,
    unifi_Tspec_Result_InvalidTclasParameters = 0x0006,
    unifi_Tspec_Result_RejectedWithSuggestedChanges = 0x0007,
    unifi_Tspec_Result_RejectedForDelayPeriod = 0x0008,
    unifi_Tspec_Result_NotAllowed            = 0x0009,
    unifi_Tspec_Result_NotPresent            = 0x000A,
    unifi_Tspec_Result_Timeout               = 0x000B,
    unifi_Tspec_Result_NotSupported          = 0x000C,
    unifi_Tspec_Result_AcmMismatch           = 0x000D,
    unifi_Tspec_Result_IeLengthIncorrect     = 0x000E
} unifi_TspecResultCode; 

typedef enum unifi_WmmMode
{
    unifi_WmmDisabled                        = 0x0000,
    unifi_WmmACEnabled                       = 0x0001,
    unifi_WmmPSEnabled                       = 0x0002,
    unifi_WmmSAEnabled                       = 0x0004,
    unifi_WmmEnabled                         = 0xFFFF
} unifi_WmmMode; 

typedef enum unifi_protocol_direction
{
    unifi_traffic_rx                         = 0x0000,
    unifi_traffic_tx                         = 0x0001
} unifi_protocol_direction; 

typedef enum unifi_traffic_configtype
{
    unifi_TrafficConfigReset                 = 0x0000,
    unifi_TrafficConfigFilter                = 0x0001,
    unifi_TrafficConfigCLS                   = 0x0002
} unifi_traffic_configtype; 

typedef enum unifi_traffic_packettype
{
    unifi_TrafficPacketNone                  = 0x0000,
    unifi_TrafficPacketEapol                 = 0x0001,
    unifi_TrafficPacketDhcp                  = 0x0002,
    unifi_TrafficPacketDhcpAck               = 0x0004,
    unifi_TrafficPacketArp                   = 0x0008,
    unifi_TrafficPacketAironet               = 0x0010,
    unifi_TrafficPacketCustom                = 0x0020,
    unifi_TrafficPacketAll                   = 0x00FF
} unifi_traffic_packettype; 

typedef enum unifi_traffic_type
{
    unifi_traffic_occasional                 = 0x0000,
    unifi_traffic_bursty                     = 0x0001,
    unifi_traffic_periodic                   = 0x0002,
    unifi_traffic_continuous                 = 0x0003
} unifi_traffic_type; 


/* CONST TYPES DEFINITIONS ********************************************************/
#define UNIFI_SAP_API_VERSION_MINOR             209
#define UNIFI_SAP_API_VERSION_MAJOR             6
#define UNIFI_SIGNAL_STRENGTH_MAX               10
#define UNIFI_NETWORK_USEFULNESS_MAX            10
#define UNIFI_WEP128_KEY_MAX_OCTETS             13
#define UNIFI_PMKID_KEY_SIZE                    16
#define UNIFI_SCAN_RESULTS_MAX                  25
#define UNIFI_NETWORK_PROVIDER_NAME_MAX_OCTETS  32
#define UNIFI_SSID_MAX_OCTETS                   32
#define UNIFI_MLME_COMMAND_MAX_OCTETS           32
#define UNIFI_PMKID_LIST_MAX                    4
#define UNIFI_IPADDRESSV4_BIN_OCTETS            4
#define UNIFI_WEP64_KEY_MAX_OCTETS              5
#define UNIFI_SSID_LIST_MAX_OCTETS              5
#define UNIFI_MAC_ADDRESS_BIN_OCTETS            6
#define UNIFI_PMKID_CANDIDATES_MAX              8


/* POINTER TYPES DEFINITIONS ********************************************************/

/* SIMPLE TYPES DEFINITIONS ********************************************************/
typedef uint32 unifi_IPV4Address;

typedef char* unifi_String;


/* COMPLEX TYPES DEFINITIONS ********************************************************/
typedef struct unifi_AdHocConfig
{
    uint16                         atimWindow;
    uint16                         beaconPeriod;
    uint8                          defaultChannelNumber;
}unifi_AdHocConfig;

typedef struct unifi_ConnectionStats
{
    int16                          unifiRSSI;
    int16                          unifiSNR;
    uint8                          unifiTxDataRate;
    uint8                          unifiRxDataRate;
    uint32                         dot11RetryCount;
    uint32                         dot11MultipleRetryCount;
    uint32                         dot11ACKFailureCount;
    uint32                         dot11FrameDuplicateCount;
    uint32                         dot11FCSErrorCount;
    uint32                         dot11RTSSuccessCount;
    uint32                         dot11RTSFailureCount;
    uint32                         dot11ReceivedFragmentCount;
    uint32                         dot11TransmittedFragmentCount;
}unifi_ConnectionStats;

typedef struct unifi_DataBlock
{
    uint16                         length;
    uint8                         *  data;
}unifi_DataBlock;

typedef struct unifi_DataBlockList
{
    uint16                         numElements;
    unifi_DataBlock               *  datalist;
}unifi_DataBlockList;

typedef struct unifi_MIBConfig
{
    Boolean                        unifiFixMaxTxDataRate;
    uint8                          unifiFixTxDataRate;
    uint16                         dot11RTSThreshold;
    uint16                         dot11FragmentationThreshold;
    uint16                         dot11CurrentTxPowerLevel;
}unifi_MIBConfig;

typedef struct unifi_MLME_Command
{
    uint8                          mlmeCommand[32];
    uint16                         length;
}unifi_MLME_Command;

typedef struct unifi_MulticastAddressList
{
    uint8                          numElements;
    unifi_MACAddress              *  addresses;
}unifi_MulticastAddressList;

typedef struct unifi_Pmkid
{
    unifi_MACAddress               bssid;
    uint8                          pmkid[16];
}unifi_Pmkid;

typedef struct unifi_PmkidCandidate
{
    unifi_MACAddress               bssid;
    Boolean                        preAuthAllowed;
}unifi_PmkidCandidate;

typedef struct unifi_PmkidCandidateList
{
    uint8                          numElements;
    unifi_PmkidCandidate          *  pmkidCandidates;
}unifi_PmkidCandidateList;

typedef struct unifi_PmkidList
{
    uint8                          numElements;
    unifi_Pmkid                   *  pmkids;
}unifi_PmkidList;

typedef struct unifi_RoamingBandData
{
    int16                          rssiHighThreshold;
    int16                          rssiLowThreshold;
    int16                          snrHighThreshold;
    int16                          snrLowThreshold;
    uint32                         monitorInterval;
    uint32                         monitorWindow;
    uint8                          dot11RetryRatio;
    uint8                          dot11MultipleRetryRatio;
    uint8                          dot11ACKFailureRatio;
    uint8                          dot11FCSErrorRatio;
    uint8                          dot11RTSFailureRatio;
    uint8                          beaconLossThreshold;
}unifi_RoamingBandData;

typedef struct unifi_RoamingConfig
{
    unifi_RoamingBandData          roamingBands[3];
    uint8                          lowQualHystWindow;
    uint8                          apBlockTime;
    uint8                          roamMonitorPeriod;
    uint8                          roamNumMaxTh;
}unifi_RoamingConfig;

typedef struct unifi_SMEConfig
{
    Boolean                        enablePmkidCanditateListIndications;
    uint8                          connectionQualityRssiChangeTrigger;
    uint8                          connectionQualitySnrChangeTrigger;
    unifi_80211dTrustLevel         trustLevel;
    uint8                          countryCode[2];
    uint16                         wmmMode;
    unifi_RadioIF                  ifIndex;
}unifi_SMEConfig;

typedef struct unifi_SSID
{
    uint8                          ssid[32];
    uint8                          length;
}unifi_SSID;

typedef struct unifi_ScanConfigData
{
    uint16                         interval;
    uint16                         validity;
    uint16                         minActiveChannelTime;
    uint16                         maxActiveChannelTime;
    uint16                         minPassiveChannelTime;
    uint16                         maxPassiveChannelTime;
}unifi_ScanConfigData;

typedef struct unifi_SequenceCount
{
    uint8                          data[8];
}unifi_SequenceCount;

typedef struct unifi_TSFTime
{
    uint8                          data[8];
}unifi_TSFTime;

typedef struct unifi_Versions
{
    uint32                         chipId;
    uint32                         chipVersion;
    uint32                         firmwareBuild;
    uint32                         firmwareHip;
    uint32                         driverBuild;
    uint32                         driverHip;
    uint32                         driverApi;
    uint32                         smeBuild;
    uint32                         smeVariant;
    uint32                         smeDriverApi;
    uint32                         smeHip;
    uint32                         smeSapApi;
    unifi_String                   smeIdString;
}unifi_Versions;

typedef struct unifi_traffic_filter
{
    uint32                         etherType;
    uint8                          ipType;
    uint32                         udpSourcePort;
    uint32                         udpDestPort;
}unifi_traffic_filter;

typedef struct unifi_traffic_stats
{
    uint32                         rxFramesNum;
    uint32                         txFramesNum;
    uint32                         rxBytesCount;
    uint32                         txBytesCount;
    uint8                          intervals[11];
}unifi_traffic_stats;

typedef struct unifi_CoexConfig
{
    Boolean                        coexEnable;
    Boolean                        coexAfhChannelEnable;
    Boolean                        coexAdvancedEnable;
    Boolean                        coexEnableSchemeManagement;
    unifi_CoexDirection            coexDirection;
    Boolean                        coexPeriodicWakeHost;
    uint16                         coexTrafficBurstyLatencyMs;
    uint16                         coexTrafficContinuousLatencyMs;
}unifi_CoexConfig;

typedef struct unifi_CoexInfo
{
    Boolean                        hasTrafficData;
    unifi_traffic_type             currentTrafficType;
    uint16                         currentPeriod;
    unifi_PowerSaveLevel           currentPowerSave;
    uint16                         currentCoexPeriod;
    uint16                         currentCoexLatency;
    Boolean                        hasBtDevice;
    Boolean                        mibValuesSet;
    uint16                         currentPeriodicPIOInputOffset;
    uint16                         currentPeriodicPIOInputDuration;
    uint16                         currentPeriodicPIOInputPeriod;
    unifi_CoexScheme               currentCoexScheme;
}unifi_CoexInfo;

typedef struct unifi_ConnectionConfig
{
    unifi_SSID                     ssid;
    unifi_MACAddress               bssid;
    unifi_BSSType                  bssType;
    unifi_80211_PrivacyMode        privacyMode;
    uint16                         authMode;
    uint16                         encryptionMode;
    unifi_DataBlock                mlmeAssociateReqInformationElements;
    uint8                          wmmQosInfo;
    uint8                          adhocChannel;
}unifi_ConnectionConfig;

typedef struct unifi_ConnectionInfo
{
    unifi_SSID                     ssid;
    unifi_MACAddress               bssid;
    unifi_80211_NetworkType        networkType80211;
    uint8                          channelNumber;
    uint16                         channelFrequency;
    unifi_AuthMode                 authMode;
    unifi_RadioIF                  ifIndex;
    uint16                         atimWindow;
    uint16                         beaconPeriod;
    unifi_DataBlock                assocScanInfoElements;
    uint16                         assocReqCapabilities;
    uint16                         assocReqListenInterval;
    unifi_MACAddress               assocReqApAddress;
    unifi_DataBlock                assocReqInfoElements;
    unifi_IEEE80211_Result         assocRspResult;
    uint16                         assocRspCapabilityInfo;
    uint16                         assocRspAssociationId;
    unifi_DataBlock                assocRspInfoElements;
}unifi_ConnectionInfo;

typedef struct unifi_HostConfig
{
    unifi_HostPowerMode            powerMode;
    uint16                         applicationDataPeriodMs;
}unifi_HostConfig;

typedef struct unifi_Key
{
    unifi_KeyType                  keyType;
    uint8                          keyIndex;
    Boolean                        wepTxKey;
    unifi_SequenceCount            keyRsc;
    Boolean                        authenticator;
    unifi_MACAddress               address;
    uint8                          keyLength;
    uint8                          key[32];
}unifi_Key;

typedef struct unifi_PowerConfig
{
    unifi_PowerSaveLevel           powerSaveLevel;
    uint16                         listenInterval;
    Boolean                        rxDtims;
    unifi_D3AutoScanMode           d3autoScanMode;
}unifi_PowerConfig;

typedef struct unifi_ScanConfig
{
    unifi_ScanConfigData           scanCfg[4];
    Boolean                        enableIndications;
    uint16                         maxResults;
    int8                           highRSSIThreshold;
    int8                           lowRSSIThreshold;
    int8                           deltaRSSIThreshold;
    int8                           highSNRThreshold;
    int8                           lowSNRThreshold;
    int8                           deltaSNRThreshold;
    unifi_DataBlock                passiveChannelList;
}unifi_ScanConfig;

typedef struct unifi_ScanResult
{
    unifi_SSID                     ssid;
    unifi_MACAddress               bssid;
    int16                          rssi;
    int16                          snr;
    unifi_RadioIF                  ifIndex;
    uint16                         beaconPeriod;
    unifi_TSFTime                  timestamp;
    unifi_TSFTime                  localTime;
    uint16                         channelFrequency;
    uint16                         capabilityInformation;
    uint8                          channelNumber;
    unifi_BasicUsability           usability;
    unifi_BSSType                  bssType;
    unifi_DataBlock                informationElements;
}unifi_ScanResult;

typedef struct unifi_ScanResultList
{
    uint16                         numElements;
    unifi_ScanResult              *  results;
}unifi_ScanResultList;

typedef struct unifi_traffic_config
{
    uint16                         packetFilter;
    unifi_traffic_filter           customFilter;
}unifi_traffic_config;

typedef struct unifi_AppValue
{
    unifi_AppValueId               id;
    union
    {
        unifi_AdHocConfig              adHocConfig;
        unifi_DataBlock                calibrationData;
        unifi_CoexConfig               coexConfig;
        unifi_CoexInfo                 coexInfo;
        unifi_ConnectionConfig         connectionConfig;
        unifi_ConnectionInfo           connectionInfo;
        unifi_ConnectionStats          connectionStats;
        unifi_HostConfig               hostConfig;
        unifi_MIBConfig                mibConfig;
        unifi_MACAddress               permanentMacAddress;
        unifi_PowerConfig              powerConfig;
        unifi_RoamingConfig            roamingConfig;
        unifi_SMEConfig                smeConfig;
        unifi_ScanConfig               scanControl;
        unifi_MACAddress               stationMacAddress;
        unifi_Versions                 versions;
    } unifi_Value_union;
}unifi_AppValue;


#ifdef __cplusplus
}
#endif
#endif  /*SME_SIGNALS_XML_TYPES_H */
